
  public partial class DataReader : System.Web.UI.Page
  {
      protected void Page_Load(object sender, EventArgs e)
      {
      string connStr = "server=(local);uid=sa;pwd=123;database=demo";
  	SqlConnection conn = new SqlConnection(connStr);
  	conn.Open ();
  	SqlCommand cmd = new SqlCommand ("select * from Books", conn);
  	SqlDataReader reader = cmd.【ExecuteReader】 ();
  	//显示SqlDataReader对象中的所有数据
  	while (reader.【Read】 ())
  	{
  		Response.Write(【reader】["BookName"]+"&nbsp;&nbsp;");
  		Response.Write(reader["Price"]+"<BR>");
  	}
  	reader.【Close】();
      【conn】.Close();
      }
  }

--答案--
   ExecuteReader   reader   Close